[INCLUDE]
ctPackage_CachedShared

[CODE]
Public Function ctPackage_GetRawDataInfosFromCache(ByVal Filename As String, Optional ByRef Offset As Long, Optional ByRef Length As Long, Optional ByRef ExtSize As Long) As Boolean
  Dim xLong1 As Long

  Filename = LCase(Filename)
  For xLong1 = 0& To xFileCount - 1&
    If LCase(Mid(xFile(xLong1), FilenameOffset)) = Filename Then
      Length = ctPackage_LenCharToLong(xFile(xLong1), FileIntOffset)
      Offset = ctPackage_LenCharToLong(xFile(xLong1), FilePosOffset)
      ExtSize = ctPackage_LenCharToLong(xFile(xLong1), FileExtOffset)
      ctPackage_GetRawDataInfosFromCache = True
      Exit For
      End If
    Next
  End Function
